Summary:	Libhnj Library
Summary(pl.UTF-8):	Biblioteka Libhnj
Name:		libhnj
Version:	0.1.1
Release:	10
License:	LGPL v2+ or MPL v1.0
Group:		Libraries
# formerly ftp://ftp.gnome.org/pub/GNOME/stable/sources/libhnj/
Source0:	http://hkn.eecs.berkeley.edu/~dyoo/pyHnj/%{name}-%{version}.tar.gz
# Source0-md5:	29f5571af559690e916b1c7b1aa6aa1f
Patch0:		%{name}-const-error.patch
Patch1:		%{name}-am18.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libhnj is a library for high quality hyphenation and justification.

%description -l pl.UTF-8
Libhnj jest biblioteką wysokiej jakości przenoszenia wyrazów i
justowania.

%package devel
Summary:	Header files etc to develop libhnj applications
Summary(pl.UTF-8):	Pliki nagłówkowe i inne dla libhnj
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files etc you can use to develop libhnj applications.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe i inne dla libhnj niezbędne przy
tworzeniu aplikacji opartych o tę bibliotekę.

%package static
Summary:	Static libhnj libraries
Summary(pl.UTF-8):	Biblioteka statyczna libhnj
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libhnj libraries.

%description static -l pl.UTF-8
Biblioteka statyczna libhnj.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README*
%attr(755,root,root) %{_libdir}/libhnj.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhnj.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libhnj-config
%attr(755,root,root) %{_libdir}/libhnj.so
%{_libdir}/libhnj.la
%{_includedir}/libhnj
%{_aclocaldir}/libhnj.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libhnj.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libhnj.git;a=log;h=master

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c5f505e
- ghost soname symlink
- rel 10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 35db2ef
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 576826f
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 5d89bd5
- added am18 patch
- moved base docs to base, more verbose files, clearer License tag
- release 9

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 930d9f9
- fix underquoted AM_PATH_LIBHNJ definition

* Sun Nov 05 2006 Elan Ruusamäe <glen@pld-linux.org> f4e8e90
- rel 8

* Sun Nov 05 2006 Jakub Bogusz <qboosh@pld-linux.org> 7d0941f
- strict internal deps, pl fix

* Tue Oct 24 2006 Elan Ruusamäe <glen@pld-linux.org> 1b86322
- update auto* so that libtool can work with CC with spaces

* Sat Aug 28 2004 Marcin Gajda <m.gajda@functional-software.com> 8cde1b9
- remove consts from declarations because of assigment in function definition

* Sat Aug 28 2004 Marcin Gajda <m.gajda@functional-software.com> bb41447
- const-error patch - now it builds
- release 7

* Sat Aug 28 2004 Marcin Gajda <m.gajda@functional-software.com> 5ab0824
- pl fix

* Tue Nov 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 5d31141
- BR: automake (only for _aclocaldir macro expansion)

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 427462b
- spaces -> tab

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 9df634d
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 2a8d91b
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Jan 15 2003 Jakub Bogusz <qboosh@pld-linux.org> 0cdb7d2
- working Source0 URL

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> 5bbd8d6
- massive attack: no need for 755 for *.la

* Sun Aug 18 2002 kloczek <kloczek@pld-linux.org> b51eace
- remeove gzippng %doc from %install.

* Sun Aug 18 2002 Paweł Gołaszewski <blues@pld-linux.org> a9f7a2c
- release 6 - license fix, new doc

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> 8c1aebe
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

